Update Activity
Partially update a CRM activity (PATCH is also accepted). Only fields present in the body are changed. Setting status to Resolved or Closed records resolvedAt or closedAt the first time. Reassigning with a new assignedToId emails the new assignee. groupId moves the activity to a group in your organization and null removes it; a group that does not exist in your organization returns 400 Group not found. Returns the updated activity with its related records.
Created: September 16, 2026
Updated: October 27, 2026
Overview
https://dashboard.vinsi.ai/api/crm/activities/{activityId}
Request
Headers
Content-Typestring
x-api-keystring
Params
activityIdstring
Example: 5120
Request Body
Response
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
Headers
Params
Response
No response yet. Click Send to test the API.